package speiger.src.coreengine.rendering.gui.font.providers;

import org.lwjgl.stb.STBTTFontinfo;
import org.lwjgl.stb.STBTruetype;

import speiger.src.collections.ints.sets.IntSet;
import speiger.src.coreengine.rendering.gui.font.glyth.GlythData;

public class STBTrueTypeProvider implements IFontProvider {
	long data;
	STBTTFontinfo info;
	IntSet skip;
	float oversample;
	float xOff;
	float yOff;
	float pointScale;
	float ascent;
	
	public STBTrueTypeProvider(long data, STBTTFontinfo info, float size, float oversample, float xOff, float yOff, String skip) {
		this.data = data;
		this.info = info;
		skip.codePoints().forEach(this.skip::add);
		this.oversample = oversample;
		this.xOff = xOff;
		this.yOff = yOff;
		pointScale = STBTruetype.stbtt_ScaleForPixelHeight(info, size * oversample);
		int[] ascent = new int[1];
		STBTruetype.stbtt_GetFontVMetrics(info, ascent, new int[1], new int[1]);
		this.ascent = pointScale * ascent[0];
	}

	@Override
	public GlythData glythData(int codepoint) {
		return null;
	}

	@Override
	public void close() {
		
	}
	
}
